Skip to main content
GET
/
v1
/
wallet
/
{chain}
/
{walletAddress}
/
net-worth-details
Wallet - Net Worth Details
curl --request GET \
  --url https://api.chainstream.io/v1/wallet/{chain}/{walletAddress}/net-worth-details \
  --header 'Authorization: Bearer <token>'
{
  "walletAddress": "HV1KXxWFaSeriyFvXyx48FqG9BoFbfinB8njCJonqP7K",
  "netWorth": "11839478.53162622",
  "requestedTimestamp": "2025-07-31T04:50:06.303Z",
  "resolvedTimestamp": "2025-07-31T04:50:06.475Z",
  "data": [
    {
      "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "decimals": 6,
      "priceInUsd": "0.00014999198221145974",
      "priceInNative": "0.000001855",
      "amount": "69",
      "valueInUsd": "0.010349446772590722",
      "valueInNative": "0.000127995",
      "chain": "sol",
      "name": "Smellow",
      "symbol": "SMLO",
      "logoUri": "https://pump.mypinata.cloud/ipfs/QmcCjKS4MMeji11PqnNhqDSXd6gD4iGj1nC6zjyfaekuQZ"
    }
  ],
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "<string>",
  "endCursor": "<string>",
  "total": 0
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks

Available options:
sol,
bsc,
eth
walletAddress
string
required

An address of a wallet

Example:

"HV1KXxWFaSeriyFvXyx48FqG9BoFbfinB8njCJonqP7K"

Query Parameters

cursor
string

Pagination cursor

limit
integer<int64>
default:20

Number of results per page

Required range: 1 <= x <= 100
direction
enum<string>
default:next

Pagination direction (next or prev)

Available options:
next,
prev
hours
integer<int32>
default:0

Hours ago for historical snapshot (0 for real-time)

Required range: 0 <= x <= 720
Example:

0

Response

200 - application/json
walletAddress
string
required

Wallet address

Example:

"HV1KXxWFaSeriyFvXyx48FqG9BoFbfinB8njCJonqP7K"

netWorth
string
required

Total wallet net worth in USD

Example:

"11839478.53162622"

requestedTimestamp
string
required

Request timestamp (ISO 8601)

Example:

"2025-07-31T04:50:06.303Z"

resolvedTimestamp
string
required

Actual data snapshot timestamp (ISO 8601)

Example:

"2025-07-31T04:50:06.475Z"

data
object[]
required

Array of data items

hasNext
boolean
default:false

Indicates if there are more results

hasPrev
boolean
default:false

Indicates if there are previous results

startCursor
string

Cursor for first item in current page

endCursor
string

Cursor for last item in current page

total
integer<int64>
default:0

Total number of items